function lis(numbers){
    var n = numbers.length;
    var dp = new Array(n+1).fill(1);
    for(var i = 0; i < n; i++) {
        for(var j = 0; j < i; j++) {
            if(numbers[j] < numbers[i]) {
                dp[i] =Math. max(dp[i], dp[j] + 1);
            }
        }
    }
    return dp[n];
}
var a = lis([13,7,9,16,38,24,37,18,44,19,21,22,63,15]);